## org.apache.poi.ddf
Class NullEscherSerializationListener

    java.lang.Object
      org.apache.poi.ddf.NullEscherSerializationListener

All Implemented Interfaces:
  EscherSerializationListener

    public class NullEscherSerializationListener

extends java.lang.Object
implements EscherSerializationListener

Ignores all serialization events.

Author:
  Glen Stampoultzis (glens at apache.org)

Constructor Summary
`NullEscherSerializationListener()`

Method Summary
`void` `afterRecordSerialize(int offset, short recordId, int size, EscherRecord record)` Fired after a record has been serialized.
`void` `beforeRecordSerialize(int offset, short recordId, EscherRecord record)` Fired before a given escher record is serialized.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullEscherSerializationListener

    public NullEscherSerializationListener()

Method Detail

### beforeRecordSerialize

    public void beforeRecordSerialize(int offset,
                                      short recordId,
                                      EscherRecord record)

  Description copied from interface: `EscherSerializationListener`
  Fired before a given escher record is serialized.

  Specified by:
    `beforeRecordSerialize` in interface `EscherSerializationListener`
  Parameters:
    `offset` - The position in the data array at which the record will be serialized.
    `recordId` - The id of the record about to be serialized.

### afterRecordSerialize

    public void afterRecordSerialize(int offset,
                                     short recordId,
                                     int size,
                                     EscherRecord record)

  Description copied from interface: `EscherSerializationListener`
  Fired after a record has been serialized.

  Specified by:
    `afterRecordSerialize` in interface `EscherSerializationListener`
  Parameters:
    `offset` - The position of the end of the serialized record + 1
    `recordId` - The id of the record about to be serialized
    `size` - The number of bytes written for this record. If it is a container record then this will include the size of any included records.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.